<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('ProductCode');
            $table->string('CategoryName');
            $table->string('ProductName');
            $table->decimal('SalePrice', 10, 2); // Assuming a decimal for the sale price, adjust as needed
            $table->string('SupplierName');
            $table->string('ShortName');
            $table->text('ProductDescription')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
